<?php

require_once INTENSE_PLUGIN_FOLDER .  '/shortcodes/custom-post/custom-post-shortcode.php';

class Intense_Portfolio extends Intense_Custom_Post {
	function __construct() {
		parent::__construct();

		$this->title = __( 'Portfolio', 'intense' );
		$this->description = __( 'Show off your portfolio with numerous different layouts. Use any of the templates provided for the Blog shortcode, or create your own templates.', 'intense' );
		$this->custom_post_type = 'intense_portfolio';
		$this->taxonomy = 'portfolio_category';		
	}

	function shortcode( $atts, $content = null ) {
		$atts["post_type"] = "intense_portfolio";		

		if ( empty( $atts["taxonomy"] ) ) $atts["taxonomy"] = "portfolio_category";

		return parent::shortcode( $atts, $content );
	}
}